[1/1] package/pulseview: depends on host gcc >= 4.9
diff mbox series

Message ID 20200216180613.908370-1-fontaine.fabrice@gmail.com
State Accepted
Headers show
Series
  • [1/1] package/pulseview: depends on host gcc >= 4.9
Related show

Commit Message

Fabrice Fontaine Feb. 16, 2020, 6:06 p.m. UTC
Commit 88bb278d5ac790bee0c3a438464da82ee7625cff forgot to propagate the
new host gcc >= 4.9 dependency from BR2_PACKAGE_LIBSIGROKCXX

Fixes:
 - http://autobuild.buildroot.org/results/5dc9dc95d0534b35e2443c120162b5176edafe0b

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 package/pulseview/Config.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Comments

Thomas Petazzoni Feb. 18, 2020, 5:38 p.m. UTC | #1
On Sun, 16 Feb 2020 19:06:13 +0100
Fabrice Fontaine <fontaine.fabrice@gmail.com> wrote:

> Commit 88bb278d5ac790bee0c3a438464da82ee7625cff forgot to propagate the
> new host gcc >= 4.9 dependency from BR2_PACKAGE_LIBSIGROKCXX
> 
> Fixes:
>  - http://autobuild.buildroot.org/results/5dc9dc95d0534b35e2443c120162b5176edafe0b
> 
> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
> ---
>  package/pulseview/Config.in | 6 ++++--
>  1 file changed, 4 insertions(+), 2 deletions(-)

Applied to master, thanks. However, what would be really good is to
remove the dependency of libsigrok on host-doxygen. It's a bit annoying
that generating the documentation cannot be disabled.

Thanks,

Thomas
Fabrice Fontaine Feb. 18, 2020, 6:10 p.m. UTC | #2
Le mar. 18 févr. 2020 à 18:38, Thomas Petazzoni
<thomas.petazzoni@bootlin.com> a écrit :
>
> On Sun, 16 Feb 2020 19:06:13 +0100
> Fabrice Fontaine <fontaine.fabrice@gmail.com> wrote:
>
> > Commit 88bb278d5ac790bee0c3a438464da82ee7625cff forgot to propagate the
> > new host gcc >= 4.9 dependency from BR2_PACKAGE_LIBSIGROKCXX
> >
> > Fixes:
> >  - http://autobuild.buildroot.org/results/5dc9dc95d0534b35e2443c120162b5176edafe0b
> >
> > Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
> > ---
> >  package/pulseview/Config.in | 6 ++++--
> >  1 file changed, 4 insertions(+), 2 deletions(-)
>
> Applied to master, thanks. However, what would be really good is to
> remove the dependency of libsigrok on host-doxygen. It's a bit annoying
> that generating the documentation cannot be disabled.
doxygen is not only used to generate the documentation.
sigrok C++ bindings use it to parse libsigrok symbols instead of the
python pygccxml module since commit
https://sigrok.org/gitweb/?p=libsigrok.git;a=commit;h=3532ed01256b986ecaf37ea5bb29d81465e2aa89
>
> Thanks,
>
> Thomas
> --
> Thomas Petazzoni, CTO, Bootlin
> Embedded Linux and Kernel engineering
> https://bootlin.com
Best Regards,

Fabrice
Thomas Petazzoni Feb. 18, 2020, 6:19 p.m. UTC | #3
On Tue, 18 Feb 2020 19:10:16 +0100
Fabrice Fontaine <fontaine.fabrice@gmail.com> wrote:

> > Applied to master, thanks. However, what would be really good is to
> > remove the dependency of libsigrok on host-doxygen. It's a bit annoying
> > that generating the documentation cannot be disabled.  
> doxygen is not only used to generate the documentation.
> sigrok C++ bindings use it to parse libsigrok symbols instead of the
> python pygccxml module since commit
> https://sigrok.org/gitweb/?p=libsigrok.git;a=commit;h=3532ed01256b986ecaf37ea5bb29d81465e2aa89

Ah, yes indeed, I now remember that! Thanks for the reminder. Perhaps
we should write this in libsigrok.mk as doxygen is mostly known as
being a documentation tool.

Thanks,

Thomas

Patch
diff mbox series

diff --git a/package/pulseview/Config.in b/package/pulseview/Config.in
index 01e522e1c5..ea9bdc2605 100644
--- a/package/pulseview/Config.in
+++ b/package/pulseview/Config.in
@@ -10,6 +10,7 @@  config BR2_PACKAGE_PULSEVIEW
 	depends on !BR2_STATIC_LIBS
 	# libsigrok
 	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_9
+	depends on BR2_HOST_GCC_AT_LEAST_4_9
 	depends on BR2_ENABLE_LOCALE
 	select BR2_PACKAGE_LIBSIGROK
 	select BR2_PACKAGE_LIBSIGROKCXX
@@ -26,9 +27,10 @@  config BR2_PACKAGE_PULSEVIEW
 
 	  http://sigrok.org/wiki/PulseView
 
-comment "pulseview needs a toolchain w/ locale, wchar, threads, dynamic library, C++, gcc >= 4.9"
+comment "pulseview needs a toolchain w/ locale, wchar, threads, dynamic library, C++, gcc >= 4.9, host gcc >= 4.9"
 	depends on BR2_USE_MMU
 	depends on BR2_PACKAGE_QT5
 	depends on !BR2_TOOLCHAIN_GCC_AT_LEAST_4_9 || !BR2_USE_WCHAR \
 		|| !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP \
-		|| BR2_STATIC_LIBS || !BR2_ENABLE_LOCALE
+		|| BR2_STATIC_LIBS || !BR2_ENABLE_LOCALE || \
+		!BR2_HOST_GCC_AT_LEAST_4_9